Public Member Functions | List of all members
StarObjectTextInternal::Zone Struct Referenceabstract

Internal: a basic sone of StarObjectTextInternal. More...

`#include <StarObjectText.hxx>`

Inheritance diagram for StarObjectTextInternal::Zone:

## Public Member Functions
| Zone ()
| constructor
virtual | ~Zone ()
| destructor
virtual bool | send (STOFFListenerPtr &listener, StarState &state) const =0
| try to send the data to a listener
virtual void | inventoryPage (StarState &) const
| try to inventory the different pages

## Detailed Description

Internal: a basic sone of StarObjectTextInternal.

## Constructor & Destructor Documentation

## ◆ Zone()

StarObjectTextInternal::Zone::Zone | ( |  | ) |
| inline

constructor

## ◆ ~Zone()

StarObjectTextInternal::Zone::~Zone | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ inventoryPage()

virtual void StarObjectTextInternal::Zone::inventoryPage | ( | StarState & |  | ) | const
| inline virtual

try to inventory the different pages

Reimplemented in StarObjectTextInternal::TextZone.

## ◆ send()

virtual bool StarObjectTextInternal::Zone::send | ( | STOFFListenerPtr & | listener,
|  | StarState & | state ) const
| pure virtual

try to send the data to a listener

Implemented in StarObjectTextInternal::FormatZone, StarObjectTextInternal::GraphZone, StarObjectTextInternal::OLEZone, StarObjectTextInternal::SectionZone, StarObjectTextInternal::Table, and StarObjectTextInternal::TextZone.

The documentation for this struct was generated from the following files:

- StarObjectText.hxx
- StarObjectText.cxx